tigase.server

## Enum Command.Status

- java.lang.Object
- - java.lang.Enum<Command.Status>
  - - tigase.server.Command.Status

- All Implemented Interfaces:
    Serializable, Comparable<Command.Status>
  Enclosing class:
    Command

      public static enum Command.Status
      extends Enum<Command.Status>

  Ad-hoc command statuses as defined in the XEP-0050.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `canceled` The command has been canceled.
    `completed` The command has completed.
    `executing` The command is being executed.
    `other` Other, not recognized command status.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Command.Status` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Command.Status[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### executing

          public static final Command.Status executing

      The command is being executed.

    - #### completed

          public static final Command.Status completed

      The command has completed. The command session has ended.

    - #### canceled

          public static final Command.Status canceled

      The command has been canceled. The command session has ended.

    - #### other

          public static final Command.Status other

      Other, not recognized command status.

  - ### Method Detail

    - #### values

          public static Command.Status[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Command.Status c : Command.Status.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Command.Status valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2004–2019 "Tigase, Inc.". All rights reserved.